Appearance
Register a customer
POST
/api/v4/partner/customer/register
Register a customer and associate their EVM wallet address. Only customers with a completed KYC (GREEN) status can be registered.
Authorizations
ApiKeyAuth
Type
API Key (header: X-Api-Key)
Request Body
application/json
JSON
{
"customerId": "customer_a1b2c3d4",
"addressEVM": "0x1234....abcd"
}
Responses
OK
application/json
JSON
{
"status": "ok"
}
Code examples
bash
curl -X POST https://api.brrr.network/api/v4/partner/customer/register \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"customerId": "cust_a1b2c3d4",
"addressEVM": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
}'javascript
const response = await fetch('https://api.brrr.network/api/v4/partner/customer/register', {
method: 'POST',
headers: {
'X-Api-Key': process.env.BRRR_API_KEY,
'Content-Type': 'application/json',
},
body: JSON.stringify({
customerId: 'cust_a1b2c3d4',
addressEVM: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045',
}),
});
if (!response.ok) {
const error = await response.json();
throw new Error(`Registration failed: ${error.errorCode}`);
}
const data = await response.json();
console.log('Customer registered:', data);python
import os
import httpx
response = httpx.post(
'https://api.brrr.network/api/v4/partner/customer/register',
headers={
'X-Api-Key': os.environ['BRRR_API_KEY'],
'Content-Type': 'application/json',
},
json={
'customerId': 'cust_a1b2c3d4',
'addressEVM': '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045',
},
)
response.raise_for_status()
data = response.json()
print('Customer registered:', data)